%define name mini_fo
%define version 0.1
%define release b1

%define kernel_rel	%(eval uname -r)

Name:		%{name}
Summary:	Kernel module for overlaying directory trees
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System Environment/Kernel
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildArchitectures: i586


%description
mini_fo is a kernel module that overlays one part of your
filesystem over another, by sitting inbetween and redirecting
your userland applications and the normal kernel syscalls.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT

#make KERNEL_DIR=/lib/modules/%{kernel_rel}/build
make


##
## Install Section
##

%install
mkdir -p %{buildroot}/lib/modules/%{kernel_rel}/kernel/drivers/block
install -m 644 mini_fo.ko %{buildroot}/lib/modules/%{kernel_rel}/kernel/drivers/block


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/lib/modules/%{kernel_rel}/kernel/drivers/block/mini_fo.ko


##
## change log
##

%changelog
* Tue Nov 9 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to minifo_0.1-2.tar.gz
* Wed Sep 15 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- mini_fo-2.6-0.3.tar.bz2
